possible_vpu <- c("01", "08", "10L", "15", "02", "04", "05", "06", 
                  "07", "09", "03S", "03W", 
                  "03N", "10U", "11", "12", 
                  "13", "14",  "16", "17", "18")


vpu_codes <- possible_vpu

# remove all reference fabric content
reference <- FALSE
# remove al POI content
POI <- TRUE
# remove refactored content leaving rpu-based reference content behind
refactor <- TRUE
# remove all aggregate content
aggregate <- FALSE

for(VPU in vpu_codes) {
  
  rm(rpu_code)
  
  source("R/config.R")
  source("R/utils.R")
  
  if(reference) {
    unlink(nav_gpkg)
  }
  
  if(POI) {
    sf::st_delete(nav_gpkg, final_poi_layer)
    sf::st_delete(nav_gpkg, lookup_table_refactor)
    unlink(temp_gpkg)    
  }
  
  if(refactor) {
    unlink(rfc_gpkg)
  }
  
  if(aggregate) {
    unlink(gf_gpkg)
    unlink(ND_gpkg)
  }
  
  if(refactor | aggregate) {
    unlink(vpu_lookup_table_file)
  }
  
  for(r in rpu_codes$rpuid) {
    f <- paste0("cache/", r, "_refactor.gpkg")
    if(refactor & !reference) {
      sf::st_delete(f, lookup_table_refactor)
      sf::st_delete(f, refactored_layer)
      sf::st_delete(f, reconciled_layer)
      sf::st_delete(f, outlets_layer)
      sf::st_delete(f, divide_layer)
      unlink(paste0("cache/", r, "_lookup.csv"))
    }
    
    if(refactor & reference) {
      unlink(f)
      unlink(paste0("cache/", r, "_lookup.csv"))
    }
    
    if(aggregate) {
      unlink(paste0("cache/", r, "_aggregate.gpkg"))
      unlink(paste0("cache/", r, "_lookup.csv"))
    }
  }
  
}
